Home | All Classes | Grouped Classes | Index | Search

# CL_DomNode::insert_before

Inserts the node new_child before the existing child node ref_child.

    	CL_DomNode insert_before(
    		CL_DomNode& new_child, CL_DomNode& ref_child);

Parameters:

new_child
  The node to insert.
ref_child
  The reference node, i.e., the node before which the new node must be inserted.

Detailed description:

If refChild is a null node, inserts new_child at the end of the list of children.

If newChild is a DocumentFragment object, all of its children are inserted, in the same order, before ref_child. If the new_child is already in the tree, it is first removed.

See also:

CL_DomNode

Questions or comments, write to the ClanLib mailing list.